Name:		olpc-update
Version:	2.29
Release:	5%{?dist}
Summary:	OLPC system update tools

Group:		System Environment/Base
License:	GPLv2+
URL:		http://dev.laptop.org/git/projects/olpc-update
Source0:	http://dev.laptop.org/~dsd/olpc-update/%{name}-%{version}.tar.bz2
BuildArch:	noarch

Requires:		bitfrost, olpc-contents, NetworkManager
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
BuildRequires:	python-devel
BuildRequires: systemd-units


%description
The OLPC update utilities handle the automatic or manual update of system
files on an XO laptop.


%prep
%setup -q


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/NetworkManager/dispatcher.d

%{__install} -m 755 olpc-update-query olpc-update $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -m 755 irsync $RPM_BUILD_ROOT/%{_sbindir}/olpc-incr-rsync
%{__install} -d $RPM_BUILD_ROOT/%{_unitdir}
%{__install} -m 644 olpc-update-query.{timer,service} $RPM_BUILD_ROOT/%{_unitdir}
%{__install} -m 755 olpc-update-ifup $RPM_BUILD_ROOT/%{_sysconfdir}/NetworkManager/dispatcher.d/olpc-update-ifup


%post
%systemd_post olpc-update-query.timer


%preun
%systemd_preun olpc-update-query.timer


%postun
%systemd_postun olpc-update-query.timer


%files
%defattr(-,root,root,-)
%doc README COPYING

%{_sbindir}/olpc-update-query
%{_sbindir}/olpc-update
%{_sbindir}/olpc-incr-rsync
%{_unitdir}/*
%{_sysconfdir}/NetworkManager/dispatcher.d/olpc-update-ifup


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.29-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu May 23 2013 Daniel Drake <dsd@laptop.org> - 2.29-1
- First time execution fix

* Tue Apr 16 2013 Daniel Drake <dsd@laptop.org> - 2.28-1
- Clock sync improvements. Use systemd timers.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 29 2012 Daniel Drake <dsd@laptop.org> - 2.27-1
- Fix shutdown when system is reported stolen

* Thu Sep  6 2012 Daniel Drake <dsd@laptop.org> - 2.26-1
- New version for better error handling and lease verification

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 18 2012 Daniel Drake <dsd@laptop.org> - 2.25-1
- Update for /run/media external media path

* Thu Mar  1 2012 Martin Langhoff <martin@martin-tp.laptop.org> - 2.24-1
- Add support for device tree dlo#11665

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Apr 26 2010 Daniel Drake <dsd@laptop.org> - 2.23-1
- version bump

* Thu Apr 15 2010 Daniel Drake <dsd@laptop.org> - 2.22-1
- version bump

* Mon Nov 30 2009 Daniel Drake <dsd@laptop.org> - 2.21-1
- version bump

* Sat Aug  1 2009 Daniel Drake <dsd@laptop.org> - 2.20-1
- version bump

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Daniel Drake <dsd@laptop.org> - 2.19-2
- forgot to put spec file in CVS

* Thu Jul 16 2009 Daniel Drake <dsd@laptop.org> - 2.19-1
- Initial import

